# $buffer-ipipe(5)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

$buffer-ipipe - Divert buffer incremental pipe input through macro.

## SYNOPSIS

$buffer-ipipe commandName

## DESCRIPTION

$buffer-ipipe allows the buffer incremental pipe input mechanism to be diverted through a command macro defined by commandName. On a buffer running an ipipe-shell-command(2) the command, set by this variable, will be called whenever new text has been inserted by the executing process. Two alpha-marks will be set in the buffer, '`i`' denotes the start of the newly inserted text and '`I`' denotes the end.

## SEE ALSO

$buffer-input(5), goto-alpha-mark(2), ipipe-shell-command(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>